Error
A valid request URL is required to generate request examples{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"events": [],
"headers": {},
"include_response": true,
"allow_private_network": true,
"disabled": true,
"max_retries": 123,
"retry_backoff_initial_seconds": 123,
"retry_backoff_max_seconds": 123,
"attempt_timeout_seconds": 123,
"max_response_payload_kbs": 123,
"max_concurrent_deliveries": 123,
"consecutive_failures": 123,
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}Webhooks
Get a webhook endpoint
GET
/
api
/
webhooks
/
{id}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"events": [],
"headers": {},
"include_response": true,
"allow_private_network": true,
"disabled": true,
"max_retries": 123,
"retry_backoff_initial_seconds": 123,
"retry_backoff_max_seconds": 123,
"attempt_timeout_seconds": 123,
"max_response_payload_kbs": 123,
"max_concurrent_deliveries": 123,
"consecutive_failures": 123,
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
The webhook endpoint id.
Response
The webhook endpoint
A registered webhook endpoint. The signing secret is never included in this representation; custom header values are redacted.
A terminal async-job event a webhook endpoint can subscribe to:
- async_job.completed: an async job finished successfully
- async_job.failed: an async job finished with an error
Available options:
async_job.completed, async_job.failed Custom delivery header values, redacted.
Show child attributes
Show child attributes
Number of consecutive failed deliveries; reset on the next success.
Was this page helpful?
⌘I

